aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorThomas White <taw@physics.org>2013-04-30 14:33:58 +0200
committerThomas White <taw@physics.org>2013-04-30 14:33:58 +0200
commitc5bcfa0ae036145f23c344796f8b4efcee69429a (patch)
tree6d21f895a27e7b94dddb652625086ac7b7e85332 /scripts
parent64af7bfd252a42487735a0c7ca7b7f89b2e3ccd3 (diff)
Add warnings to scripts/create-{mtz,xscale}
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/create-mtz4
-rwxr-xr-xscripts/create-xscale4
2 files changed, 8 insertions, 0 deletions
diff --git a/scripts/create-mtz b/scripts/create-mtz
index c51454e6..f23a71f8 100755
--- a/scripts/create-mtz
+++ b/scripts/create-mtz
@@ -1,5 +1,9 @@
#!/bin/sh
+# When you've edited the relevant parameters, delete this comment and the following two lines
+echo "You need to edit this script first, to set the space group and cell parameters."
+exit 1
+
OUTFILE=`echo $1 | sed -e 's/\.hkl$/.mtz/'`
TMPHKL=`echo $1 | sed -e 's/\.hkl$/.temp.hkl/'`
diff --git a/scripts/create-xscale b/scripts/create-xscale
index d452e8bc..9cd14c8d 100755
--- a/scripts/create-xscale
+++ b/scripts/create-xscale
@@ -2,6 +2,10 @@
use strict;
+# When you've edited the relevant parameters, delete this comment and the following two lines
+printf("You need to edit this script first, to set the space group and cell parameters.\n");
+exit(1);
+
open(FH, $ARGV[0]);
printf("!FORMAT=XDS_ASCII MERGE=TRUE FRIEDEL'S_LAW=TRUE\n");